#pragma once

#include "OwnedUnrealSharedTexture.h"

#if MIXCAST_D3D12
typedef struct ID3D12Device;
typedef struct ID3D12Resource;

class OwnedUnrealSharedTexture_D3D12 : public OwnedUnrealSharedTexture
{
private:
	ID3D12Device* device = NULL;
	ID3D12Resource* sharedTex = NULL;

	FTexture2DRHIRef sharedTexRhi;

	virtual void Write_RenderThread(FRHICommandListImmediate& RHICmdList) override;

public:
	OwnedUnrealSharedTexture_D3D12(UTexture* srcTex);
	virtual ~OwnedUnrealSharedTexture_D3D12() override;
};
#endif